<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <!-- Google tag (gtag.js) -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-74TZMNVESS"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());

        gtag('config', 'G-74TZMNVESS');
        document.addEventListener("DOMContentLoaded", function (event) {
            document.querySelectorAll('[ga-category]').forEach(function(gaElement) {
                gaElement.addEventListener('click', function() {
                    var category = gaElement.getAttribute('ga-category');
                    var label = gaElement.getAttribute('ga-label');
                    gtag('event', 'click', {'event_category' : category,'event_label' : label});
                    console.log('test')
                }, false);
            } );
        } );
    </script>
    <script src="index.js"></script>
</head>
<body>
    <div>Ga 4</div>
    <button ga-category="test" ga-label="test">
        test
    </button>
</body>
</html>